Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Automatisch in alle Layouts wechseln

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Automatisch in alle Layouts wechseln (895 mal gelesen)
Bigggi
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Bigggi an!   Senden Sie eine Private Message an Bigggi  Schreiben Sie einen Gästebucheintrag für Bigggi

Beiträge: 175
Registriert: 14.02.2006

AutoCad Map2017

erstellt am: 20. Jul. 2012 10:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo mal wieder,

ich möchte gerne in ca. 100 Layouts bestimmte Objekte (immer die gleichen) löschen und andere hinzufügen. Das bekomme ich auch prima über den Aktionsrekorder hin. Aber wie kann ich automatisch in alle Layouts nacheinander wechseln? Geht das auch automatisch? Funktioniert das auch mit dem Atktionsrekorder?
Vielen Dank schonmal für eure Antworten!

Bigggi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 bis ACA 2013
Arcibem
System:
Windows
Internet-Startseite:
http://www.archi.de

erstellt am: 20. Jul. 2012 13:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bigggi 10 Unities + Antwort hilfreich

Hallo Bigggi,
ich glaube nicht, dass das direkt im Aktionsrekorder geht, aber Du kannst über eine einfache Lispzeile in jedes Layout wechseln, und dort dann das Makro ausführen lassen:
Code:
(foreach n (layoutlist) (setvar "ctab" n) (command "[Name des Makros]"))
Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bigggi
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Bigggi an!   Senden Sie eine Private Message an Bigggi  Schreiben Sie einen Gästebucheintrag für Bigggi

Beiträge: 175
Registriert: 14.02.2006

AutoCad Map2017

erstellt am: 20. Jul. 2012 14:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Henning,

super! Das ist genau das was ich gesucht habe!!! Vielen Dank! Nur noch eine Frage: Wie bekomme ich es in eine Lsp-Datei? Ich kenne mich damit gar nicht aus. Ich habe es nun so in die Befehlszeile reinkopiert. Geht auch, aber netter ist es in einer lsp.
Mein allererster Versuch klappt natürlich nicht:
(defun C:Laywechs (foreach n (layoutlist) (setvar "ctab" n) (command "ActMacro006")))
Ist bestimmt total falsch!

Gruß, Birgit

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 20. Jul. 2012 14:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bigggi 10 Unities + Antwort hilfreich

Hallo Biggi,

Du hast noch ein Klammernpaar weggelassen nach nach dem defun kommen muss.
Also (defun C:Laywechs () (foreach n (layoutlist) (setvar "ctab" n) (command "ActMacro006"))) sollte klappen.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bigggi
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Bigggi an!   Senden Sie eine Private Message an Bigggi  Schreiben Sie einen Gästebucheintrag für Bigggi

Beiträge: 175
Registriert: 14.02.2006

AutoCad Map2017

erstellt am: 20. Jul. 2012 14:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,

ja, so klappts. Vielen Dank!

Schönes Wochenende!
Bigggi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz